Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
yaml_node_pair_s Struct Reference
Nodes

An element of a mapping node. More...

`#include <yaml.h>`

## Data Fields
int | key
| The key of the element. More...
int | value
| The value of the element. More...

## Detailed Description

An element of a mapping node.

Definition at line 709 of file yaml.h.

## Field Documentation

int yaml_node_pair_s::key

The key of the element.

Definition at line 711 of file yaml.h.

Referenced by yaml_document_append_mapping_pair(), yaml_emitter_anchor_node(), yaml_emitter_dump_mapping(), and yaml_parser_load_mapping().

int yaml_node_pair_s::value

The value of the element.

Definition at line 713 of file yaml.h.

Referenced by yaml_document_append_mapping_pair(), yaml_emitter_anchor_node(), yaml_emitter_dump_mapping(), and yaml_parser_load_mapping().

The documentation for this struct was generated from the following file:

- ext/psych/yaml/yaml.h